Bug 826886 - zim message: "Looks like you found a bug"
zim message: "Looks like you found a bug"
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Zim (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 04:16 EDT by Joachim Backes
Modified: 2012-11-28 06:35 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-28 06:35:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1008817 None None None 2012-06-04 23:17:14 EDT

  None (edit)
Description Joachim Backes 2012-05-31 04:16:42 EDT
Description of problem:
If I call the zim search function (CtrlShiftF), enter "not found" in the search line and press "Find", the I get an error popup:

==============================================================
Looks like you found a bug

AttributeError: 'set' object has no attribute 'scores'

When reporting this bug please include
the information from the text box below
===============================================================

The "text below" is
--------------------------------------------------
This is zim 0.56
Python version is sys.version_info(major=2, minor=7, micro=3, releaselevel='final', serial=0)
Gtk version is (2, 24, 10)
Pygtk version is (2, 24, 0)
Platform is posix
Zim revision is:
  branch: pyzim-trunk
  revision: 533 jaap.karssenberg@gmail.com-20120402200722-gdcw1ef3icbs49qe
  date: 2012-04-02 22:07:22 +0200

======= Traceback =======
  File "/usr/lib/python2.7/site-packages/zim/gui/searchdialog.py", line 94, in _search
    self.results_treeview.search(string)
  File "/usr/lib/python2.7/site-packages/zim/gui/searchdialog.py", line 179, in search
    self.selection.search(self.query, callback=self._search_callback)
  File "/usr/lib/python2.7/site-packages/zim/search.py", line 249, in search
    self.update(self._process_group(query.root, selection, callback))
  File "/usr/lib/python2.7/site-packages/zim/search.py", line 340, in _process_group
    cont = callback(results, None)
  File "/usr/lib/python2.7/site-packages/zim/gui/searchdialog.py", line 186, in _search_callback
    self._update_results(results)
  File "/usr/lib/python2.7/site-packages/zim/gui/searchdialog.py", line 215, in _update_results
    score = results.scores.get(path, 0)
AttributeError: 'set' object has no attribute 'score
-----------------------------------------------------------------------

Version-Release number of selected component (if applicable):
Zim-0.56-1.fc17.noarch

How reproducible:
always

Steps to Reproduce:
1.See description
2.
3.
  
Actual results:
See description

Expected results:
No such error msg

Additional info:
Comment 1 Fedora Update System 2012-10-08 22:55:58 EDT
Zim-0.57-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/Zim-0.57-1.fc17
Comment 2 Fedora Update System 2012-10-09 20:31:27 EDT
Package Zim-0.57-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing Zim-0.57-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15751/Zim-0.57-1.fc17
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-11-19 01:05:14 EST
Zim-0.57-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/Zim-0.57-2.fc17
Comment 4 Fedora Update System 2012-11-28 06:35:27 EST
Zim-0.57-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.